<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddAdditionalColumnsToShopInfosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('shop_infos', function (Blueprint $table) {
            $table->string('shop_mobile')->nullable();
            $table->string('shop_whatsapp')->nullable();
            $table->string('shop_telegram')->nullable();
            $table->string('shop_messenger')->nullable();
            $table->string('shop_imo')->nullable();
            $table->string('shop_fb')->nullable();
            $table->string('shop_linkedin')->nullable();
            $table->string('shop_twitter')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('shop_infos', function (Blueprint $table) {
            $table->dropColumn(['shop_mobile', 'shop_whatsapp', 'shop_telegram', 'shop_messenger', 'shop_imo', 'shop_fb', 'shop_linkedin', 'shop_twitter']);
        });
    }
}
